$ErrorActionPreference = 'Stop'
$serviceName = 'nexus'
$installFolder = "$env:programdata\Nexus"
$validExitCodes = @(0)

if (Test-Path "$installfolder\bin\nexus.exe") {
  if (Get-Process $serviceName -ErrorAction SilentlyContinue) {
    Get-Process $serviceName | Stop-Process -Force
  }

  if (Get-Service $serviceName -ErrorAction SilentlyContinue){
    Stop-Service $serviceName
  }

  Start-Sleep -Seconds 5
  
  $processArgs = @{
    ExeToRun = "$installFolder\bin\nexus.exe"
    Statements = "/uninstall $servicename"
    validExitCodes = $validExitCodes
  }
  Start-ChocolateyProcessAsAdmin  @processArgs
  Remove-item  "$installfolder" -recurse -force
}
else {
  Write-warning "It appears that the uninstall may have been run outside of chocolatey, skipping..."
}
